<?php
  /**
 * This file is part of a project maintained at  NC State University.
 *
 * More information is included in the project README.md.
 *
 * (c) NC State University
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */
namespace NCSU\Auth\Tests\Storage;

use NCSU\Auth\Storage\MemoryStorage;
use PHPUnit\Framework\TestCase;

class MemoryStorageTest extends TestCase
{
    /** @test */
    function it_works()
    {
        $storage = new MemoryStorage();

        // Should be empty by default.
        $this->assertEquals('', $storage->read());

        $storage->write('foo');
        $this->assertEquals('foo', $storage->read());

        $storage->clear();
        $this->assertTrue($storage->isEmpty());
        $this->assertEquals('', $storage->read());
    }
}
 